[Overview][Constants][Types][Classes][Index] | Reference for unit 'Speech' (#crwlib)

# TTSMODEINFOA

## Declaration

Source position: speech.pas line 3429

`type TTSMODEINFOA = record`
`gEngineID: TGUID;`
`szMfgName: array [0..TTSI_NAMELEN-1] of AnsiChar;`
`szProductName: array [0..TTSI_NAMELEN-1] of AnsiChar;`
`gModeID: TGUID;`
`szModeName: array [0..TTSI_NAMELEN-1] of AnsiChar;`
`Language: TLanguageA;`
`szSpeaker: array [0..TTSI_NAMELEN-1] of AnsiChar;`
`szStyle: array [0..TTSI_STYLELEN-1] of AnsiChar;`
`wGender: Word;`
`wAge: Word;`
`dwFeatures: DWORD;`
`dwInterfaces: DWORD;`
`dwEngineFeatures: DWORD;`
`end;`